/*
 *  Copyright 2011 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.enumeration;

/**
 * Constant for available enumerations
 *
 */
public interface OdfEnumerationConstant
{
    /** Domain */
    public static final String DOMAIN = "DOMAIN";
    /** Degree */
    public static final String DEGREE = "DEGREE";
    /** Level */
    public static final String LEVEL = "LEVEL";
    /** Program type. */
    public static final String PROGRAM_TYPE = "PROGRAM_TYPE";
    /** Form of teaching */
    public static final String FORMOFTEACHING_METHOD = "FORMOFTEACHING_METHOD";
    /** Orgnization of teaching */
    public static final String FORMOFTEACHING_ORG = "FORMOFTEACHING_ORG";
    /** Teaching method */
    public static final String TEACHING_ACTIVITY = "TEACHING_ACTIVITY";
    /** Type of training course */
    public static final String INTERNSHIP = "INTERNSHIP";
    /** Distance learning modalities */
    public static final String DISTANCE_LEARNING_MODALITIES = "DISTANCE_LEARNING_MODALITIES";
    /** Place */
    public static final String PLACE = "PLACE";
    /** Teaching term. */
    public static final String TEACHING_TERM = "TEACHING_TERM";
    /** Time slot */
    public static final String TIME_SLOT = "TIME_SLOT";
    /** Code ROME */
    public static final String CODE_ROME = "CODE_ROME";
    /** Code ERASMUS */
    public static final String CODE_ERASMUS = "CODE_ERASMUS";
    /** Code DGESIP */
    public static final String CODE_DGESIP = "CODE_DGESIP";
    /** Code SISE */
    public static final String CODE_SISE = "CODE_SISE";
    /** Code Cite97 */
    public static final String CODE_CITE97 = "CODE_CITE97";
    /** Code FAP */
    public static final String CODE_FAP = "CODE_FAP";
    /** Code FAP */
    public static final String JOIN_ORGUNIT = "JOIN_ORGUNIT";
    /** Mention licence */
    public static final String MENTION_LICENCE = "MENTION_LICENCE";
    /** Mention licence pro */
    public static final String MENTION_LICENCEPRO = "MENTION_LICENCEPRO";
    /** Mention master */
    public static final String MENTION_MASTER = "MENTION_MASTER";
}
