/*
 *  Copyright 2012 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.oai;

import java.io.IOException;

import org.apache.cocoon.ProcessingException;
import org.xml.sax.SAXException;

/**
 * Generates OAI error.
 */
public class BadVerbGenerator extends OAIResponseGenerator
{
    @Override
    protected void doGenerate() throws IOException, SAXException, ProcessingException
    {
        generateError("badVerb", "Illegal verb");
    }
}
